// To know the language
#define ENG 666
#define SPA 222
int language;

// Defines for wait();
#define	WITH_KEYPRESS		111
#define	WITHOUT_KEYPRESS	79

// variable for inc_ticks();
volatile int tick_counter;

// Timer routine. Have to lock it in main before using it.
void inc_ticks()
{
	tick_counter++;
}
END_OF_FUNCTION(inc_ticks);

// We will use this to ask the language. We return the selected language
int ask_language()
{
int loop_end=0,tecla;

printf("\nPlease, select a language. Por favor, elige un idioma\n\n");
printf("        (1) English\n\n");
printf("        (2) Espaol\n\n");

while(! kbhit()) {
	}
tecla=getch();
if(tecla==49) return(ENG);
if(tecla==50) return(SPA);
}

/* This makes a delay, watching the keyboard if needed for a keypress.
 * If we call the function giving BOTH parameters a negative number, then the
 * function will wait for a keypress endlessly
 */
void wait(int wait_time,int keyboard)
{
int old_counter;

if(wait_time<0 && keyboard<0) {
	clear_keybuf();
   while(!keypressed());
	}
else {
	old_counter=tick_counter+wait_time;
	if(keyboard==WITH_KEYPRESS){
	   clear_keybuf();
	   while(!keypressed() && old_counter>tick_counter);
	   }
	else while(old_counter>tick_counter);
   }
}

void set_gui_colors()
{
static RGB black = { 0,  0,  0  };
static RGB grey  = { 48, 48, 48 };
static RGB white = { 63, 63, 63 };
set_color(0, &black);
set_color(16, &black);
set_color(1, &grey);
set_color(255, &white);
gui_fg_color = 0;
gui_bg_color = 1;
}
